#!/bin/ksh
# =====================국가기상위성센터==========================
# wget을 이용한 다운로드 초간단 셈플 1.0 
#  국가기상위성센터 위성운영과 
# ===============================================================

#               YYYYMMDDHHmm 다운 받을 시작 일자/시간
# Enter the year, month, day, hour, and minute to start downloading.
Down_Start_Date=202001010600

#             YYYYMMDDHHmm 다운을 끝낼 일자/시간
# Enter the year, month, day, hour, and minute to end the download.
Down_End_Date=202001010900

#              KEY 입력
key=

# 스텝 일자 설정/ 원하는 수집주기 일을 설정하세요. 추천: 1,2일 간격/ MAX: 비추천
# download interval by day
step_day=0

# 스텝 시간 설정/ 원하는 수집주기 시간을 설정하세요. 추천: 1,2,3,6,12 시간/ MAX: 24시간
# download interval by hours (max: 24)
step_hours=1

# 스텝 분 설정 현재는 2분/ 원하는 수집주기 분을 설정하세요. 추천: 2,10, 20, 30 분/ MAX: 60분
# download interval by minute (max: 60)
step_minute=0

# 로그 디렉토리 생성
# make directory
mkdir -p LOG


#다운로드를 일정하게 증가 시키기위한 변수 설정입니다. 설정 불가
#don't edit
contents_down_time=$Down_Start_Date


#wget 실행문
#wget running comment
while [[ $contents_down_time -le $Down_End_Date ]]; do

save_date_dir=${contents_down_time:0:8}

mkdir -p \$save_date_dir

#GK2A/LE2/APPS/ELA/ 이문장을 바꿔서 사용하세요.
#change sentence "GK2A/LE1B/VI004/FD"
wget --no-check-certificate --user-agent Mozilla/4.0 --content-disposition --ignore-length "http://210.125.45.79:9080/api/GK2A/LE1B/VI004/FD/data?date=${contents_down_time}&key=$key" -P ./${save_date_dir}/ -a ./LOG/${save_date_dir}_apps.log
contents_down_time=`date -d """${contents_down_time:0:4}-${contents_down_time:4:2}-${contents_down_time:6:2} ${contents_down_time:8:2}:${contents_down_time:10:2}:00 ${step_day} day ${step_hours} hours ${step_minute} minute""" """+%Y%m%d%H%M"""`
done
			